Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.bayesian.table
Class TableLine

    java.lang.Object
      org.encog.ml.bayesian.table.TableLine

All Implemented Interfaces:
  Serializable

    public class TableLine

extends Object
implements Serializable

A line from a Bayesian truth table.

See Also:
  Serialized Form

Constructor Summary
`TableLine(double prob, int result, int[] args)` Construct a truth table line.

Method Summary
`boolean` | `compareArgs(int[] args)` Compare this truth line's arguments to others.
`int[]` | `getArguments()`
`double` | `getProbability()`
`int` | `getResult()`
`void` | `setProbability(double probability)` Set the probability of this line.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableLine

    public TableLine(double prob,
                     int result,
                     int[] args)

  Construct a truth table line.

  Parameters:
    `prob` - The probability.
    `result` - The result.
    `args` - The arguments.

Method Detail

### getProbability

    public double getProbability()

  Returns:
    the probability

### getArguments

    public int[] getArguments()

  Returns:
    the arguments

### getResult

    public int getResult()

  Returns:
    the result

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareArgs

    public boolean compareArgs(int[] args)

  Compare this truth line's arguments to others.

  Parameters:
    `args` - The other arguments to compare to.
  Returns:
    True if the same.

### setProbability

    public void setProbability(double probability)

  Set the probability of this line.

  Parameters:
    `probability` - The probability of this line.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.